# Events

Uiza  creates **`event`** objects containing data of the events occurred in your Uiza account that your applications might be interested in, for instance, a `live_entity` is created, a `ingest.key` is reset or a `video_entity` is deleted, etc.&#x20;

While some API requests do not cause any `event` to be created such as *Retrieve a live entity*, other APIs may generate more than one `event`. For example, when you create a live entity, a `live_entity.created`, a `live_entity.resource.accepted` and a `live_entity.ready` events will be created consecutively.

Fundamentally, an `event` is created whenever there is a change in the state of an API resource. Therefore, there are `events` created without the trigger of any API request. A `live_entity.publish` created when Uiza receives your live feed signal is triggered by your broadcasting software, not as the result of an API request.


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.uiza.io/2022-06-22/api-reference/events.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
